aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.UpdateAccessKey

Synopsis

- data UpdateAccessKey = UpdateAccessKey {
  - uakAccessKeyId :: Text
  - uakStatus :: AccessKeyStatus
  - uakUserName :: Maybe Text
  }
- data UpdateAccessKeyResponse = UpdateAccessKeyResponse

# Documentation

data UpdateAccessKey #

Changes the status of the specified access key.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_UpdateAccessKey.html

Constructors

UpdateAccessKey |

Fields

- uakAccessKeyId :: Text

  ID of the access key to update.

- uakStatus :: AccessKeyStatus

  New status of the access key.

- uakUserName :: Maybe Text

  Name of the user to whom the access key belongs. If omitted, the user will be determined based on the access key used to sign the request.

#### Instances

Instances details

SignQuery UpdateAccessKey # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ServiceConfiguration UpdateAccessKey |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration

Methods

signQuery :: UpdateAccessKey -> ServiceConfiguration UpdateAccessKey queryType -> SignatureData -> SignedQuery #

Show UpdateAccessKey # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods showsPrec :: Int -> UpdateAccessKey -> ShowS # show :: UpdateAccessKey -> String # showList :: [UpdateAccessKey] -> ShowS #
Eq UpdateAccessKey # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods (==) :: UpdateAccessKey -> UpdateAccessKey -> Bool # (/=) :: UpdateAccessKey -> UpdateAccessKey -> Bool #
Ord UpdateAccessKey # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Methods

compare :: UpdateAccessKey -> UpdateAccessKey -> Ordering #

(<) :: UpdateAccessKey -> UpdateAccessKey -> Bool #

(<=) :: UpdateAccessKey -> UpdateAccessKey -> Bool #

(>) :: UpdateAccessKey -> UpdateAccessKey -> Bool #

(>=) :: UpdateAccessKey -> UpdateAccessKey -> Bool #

max :: UpdateAccessKey -> UpdateAccessKey -> UpdateAccessKey #

min :: UpdateAccessKey -> UpdateAccessKey -> UpdateAccessKey #

ResponseConsumer UpdateAccessKey UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ResponseMetadata UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateAccessKey -> IORef (ResponseMetadata UpdateAccessKeyResponse) -> HTTPResponseConsumer UpdateAccessKeyResponse #

Transaction UpdateAccessKey UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
type ServiceConfiguration UpdateAccessKey # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ServiceConfiguration UpdateAccessKey = IamConfiguration

data UpdateAccessKeyResponse #

Constructors

UpdateAccessKeyResponse |

#### Instances

Instances details

AsMemoryResponse UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type MemoryResponse UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse

Methods

loadToMemory :: UpdateAccessKeyResponse -> ResourceT IO (MemoryResponse UpdateAccessKeyResponse) #

Show UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods showsPrec :: Int -> UpdateAccessKeyResponse -> ShowS # show :: UpdateAccessKeyResponse -> String # showList :: [UpdateAccessKeyResponse] -> ShowS #
Eq UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey Methods (==) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool # (/=) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool #
Ord UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Methods

compare :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Ordering #

(<) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool #

(<=) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool #

(>) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool #

(>=) :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> Bool #

max :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> UpdateAccessKeyResponse #

min :: UpdateAccessKeyResponse -> UpdateAccessKeyResponse -> UpdateAccessKeyResponse #

ResponseConsumer UpdateAccessKey UpdateAccessKeyResponse # |

Instance details

Defined in Aws.Iam.Commands.UpdateAccessKey

Associated Types

type ResponseMetadata UpdateAccessKeyResponse |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata

Methods

responseConsumer :: Request -> UpdateAccessKey -> IORef (ResponseMetadata UpdateAccessKeyResponse) -> HTTPResponseConsumer UpdateAccessKeyResponse #

Transaction UpdateAccessKey UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey
type MemoryResponse UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type MemoryResponse UpdateAccessKeyResponse = UpdateAccessKeyResponse
type ResponseMetadata UpdateAccessKeyResponse # |
Instance details Defined in Aws.Iam.Commands.UpdateAccessKey type ResponseMetadata UpdateAccessKeyResponse = IamMetadata